import queue from '../dxmodules/dxQueue.js'
import std from '../dxmodules/dxStd.js'
import logger from '../dxmodules/dxLogger.js'

// Get a queue
const queue1 = queue.get("event___center")

std.setInterval(() => {
    // Push data to the queue
    queue1.push("123456")
    // Print queue length
    logger.info(queue1.size());
    // Pop queue retrieves data
    logger.info(queue1.pop());// 123456
}, 1000)
